Subject: ***SPAM*** 65.378 (5) Your hot dates are set to get HOTTER.

From: "Keiren Eggertsson" <[email-masked]>
Date: Fri, 1 Feb 2008 12:52:41 +0100

The end to all your frustration lies here - we have the solution to your woes.